Subject: Re: Oxytocin

From: Ronnie Falcao <[email-masked]>
Date: Fri, 03 Jun 2005 02:16:12 -0700

Hi, Sweetie,

I've got one left over from my homeopathic nasal spray days.  :-)

Actually, I have a vague memory that we might already have tried
my nasal spray bottle . . . anyway, it never hurts to try again . . .
this time with feeling!

See you later today/Fri. evening at 7 pm.

Love,
Ronnie

P.S. One of my June 7 moms is taking herbs tonight to try to
bring baby . . . fingers crossed that we have a baby by noon
and I'll be home tired but very happy by 6 pm.  Otherwise,
I'll call if scheduling's a problem.

At 01:13 AM 6/2/2005, you wrote:

>So we should commandeer a little sprayer bottle?